# $Revision: 1.3 $, $Date: 2006/11/26 14:23:30 $
%define		_plugin	gzip
%define		mversion	1.1.1
Summary:	Plugin for compressed tranfer support
Summary(pl):	Wtyczka pozwalajca kompresowa transmisj
Name:		squirrelmail-plugin-%{_plugin}
Version:	2.02
Release:	2
License:	GPL
Group:		Applications/Mail
Source0:	http://www.squirrelmail.org/plugins/%{_plugin}-%{version}-%{mversion}.tar.gz
# Source0-md5:	2df7370e0dbdf3e48e888cef094ead8b
URL:		http://www.squirrelmail.org/plugin_view.php?id=19
Requires:	php(zlib)
Requires:	squirrelmail >= 1.4.6-2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_datadir}/squirrelmail/plugins/%{_plugin}
%define		_sysconfdir	/etc/webapps/squirrelmail

%description
This plugin allows SquirrelMail to compress its output to the browser,
saving precious bandwidth.

%description -l pl
Wtyczka pozwalajca na kompresj transmisji midzy Wiewircz Poczt i
przegldark uytkownika. Oszczdza cenn przepustowo cza.

%prep
%setup -q -n %{_plugin}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_plugindir} $RPM_BUILD_ROOT%{_sysconfdir}

install *.php $RPM_BUILD_ROOT%{_plugindir}
mv locale $RPM_BUILD_ROOT%{_plugindir}
mv config.php.sample $RPM_BUILD_ROOT%{_sysconfdir}/%{_plugin}_config.php
ln -s %{_sysconfdir}/%{_plugin}_config.php $RPM_BUILD_ROOT%{_plugindir}/config.php

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc INSTALL README
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{_plugin}_config.php
%dir %{_plugindir}
%{_plugindir}/*.php
%dir %{_plugindir}/locale
%lang(el) %{_plugindir}/locale/el_GR

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squirrelmail-plugin-gzip.spec,v $
Revision 1.3  2006/11/26 14:23:30  glen
- rel 2: use php(extension) virtuals

Revision 1.2  2006/07/19 20:24:58  dzeus
- propper homepage URL

Revision 1.1  2006/05/29 13:56:06  hawk
- separated from squirrelmail.spec

